<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateSubscribeContentsTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: subscribe_contents
         */
        Schema::create('subscribe_contents', function ($table) {
            $table->increments('id');
            $table->text('content')->nullable();
            $table->enum('type', ['agency','brand-team','marketer','influencer','journalists','third-party_providers','onlineshops','regionalcompanies'])->nullable();
            $table->integer('status')->nullable();
            $table->text('slug')->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('subscribe_contents');
    }
}
