# Installation

The instructions below will help you to properly install the generated package to the lavalite project.

## Location

Extract the package contents to the folder 

`/packages/litepie/subscribe_content/`

## Composer

Add the below entries in the `composer.json` file's autoload section and run the command `composer dump-autoload` in terminal.

```json

...
     "autoload": {
         ...

        "classmap": [
            ...
            
            "packages/litepie/subscribe_content/database/seeds",
            
            ...
        ],
        "psr-4": {
            ...
            
            "Litepie\\SubscribeContent\\": "packages/litepie/subscribe_content/src",
            
            ...
        }
    },
...

```

## Config

Add the entries in service provider in `config/app.php`

```php

...
    'providers'       => [
        ...
        
        Litepie\SubscribeContent\Providers\SubscribeContentServiceProvider::class,
        
        ...
    ],

    ...

    'alias'             => [
        ...
        
        'SubscribeContent'  => Litepie\SubscribeContent\Facades\SubscribeContent::class,
        
        ...
    ]
...

```

## Migrate

After service provider is set run the commapnd to migrate and seed the database.


    php artisan migrate
    php artisan db:seed --class=Litepie\\SubscribeContentTableSeeder

## Publishing


**Publishing configuration**

    php artisan vendor:publish --provider="Litepie\SubscribeContent\Providers\SubscribeContentServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Litepie\SubscribeContent\Providers\SubscribeContentServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Litepie\SubscribeContent\Providers\SubscribeContentServiceProvider" --tag="view"


## URLs and APIs


### Web Urls

**Admin**

    http://path-to-route-folder/admin/subscribe_content/{modulename}

**User**

    http://path-to-route-folder/user/subscribe_content/{modulename}

**Public**

    http://path-to-route-folder/subscribe_contents


### API endpoints

**List**
 
    http://path-to-route-folder/api/user/subscribe_content/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/subscribe_content/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/subscribe_content/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/subscribe_content/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/subscribe_content/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/subscribe_content/{modulename}/{slug}
    METHOD: GET