Lavalite package that provides subscribe_content management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `litepie/subscribe_content`.

    "litepie/subscribe_content": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Litepie\SubscribeContent\Providers\SubscribeContentServiceProvider::class,

And also add it to alias

    'SubscribeContent'  => Litepie\SubscribeContent\Facades\SubscribeContent::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Litepie\\SubscribeContentTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Litepie\SubscribeContent\Providers\SubscribeContentServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Litepie\SubscribeContent\Providers\SubscribeContentServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Litepie\SubscribeContent\Providers\SubscribeContentServiceProvider" --tag="view"


### Web Urls

**Admin**

    http://path-to-route-folder/admin/subscribe_content/{modulename}

**User**

    http://path-to-route-folder/user/subscribe_content/{modulename}

**Public**

    http://path-to-route-folder/subscribe_contents


### API endpoints

**List**

    http://path-to-route-folder/api/user/subscribe_content/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/subscribe_content/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/subscribe_content/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/subscribe_content/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/subscribe_content/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/subscribe_content/{modulename}/{slug}
    METHOD: GET