<?php

namespace Litepie\SubscribeContent\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class SubscribeContentTransformer extends TransformerAbstract
{
    public function transform(\Litepie\SubscribeContent\Models\SubscribeContent $subscribe_content)
    {
        return [
            'id'                => $subscribe_content->getRouteKey(),
            'key'               => [
                'public'    => $subscribe_content->getPublicKey(),
                'route'     => $subscribe_content->getRouteKey(),
            ], 
            'content'           => $subscribe_content->content,
            'type'              => $subscribe_content->type,
            'slug'              => $subscribe_content->slug,
            'deleted_at'        => $subscribe_content->deleted_at,
            'url'               => [
                'public'    => trans_url('subscribe_content/'.$subscribe_content->getPublicKey()),
                'user'      => guard_url('subscribe_content/subscribe_content/'.$subscribe_content->getRouteKey()),
            ], 
            'status'            => trans('app.'.$subscribe_content->status),
            'created_at'        => format_date($subscribe_content->created_at),
            'updated_at'        => format_date($subscribe_content->updated_at),
        ];
    }
}