<?php

namespace Litepie\SubscribeContent;

use User;

class SubscribeContent
{
    /**
     * $subscribe_content object.
     */
    protected $subscribe_content;

    /**
     * Constructor.
     */
    public function __construct(\Litepie\SubscribeContent\Interfaces\SubscribeContentRepositoryInterface $subscribe_content)
    {
        $this->subscribe_content = $subscribe_content;
    }

    /**
     * Returns count of subscribe_content.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.subscribe_content.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->subscribe_content->pushCriteria(new \Litepie\Litepie\Repositories\Criteria\SubscribeContentUserCriteria());
        }

        $subscribe_content = $this->subscribe_content->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('subscribe_content::' . $view, compact('subscribe_content'))->render();
    }
}
